summaryrefslogtreecommitdiff
path: root/tests/convert-tests.sh
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2015-07-11 00:38:07 +0200
committerDavid Sterba <dsterba@suse.com>2015-08-31 19:25:09 +0200
commita5afa55a30a07f18c17527ad09420afb9bc5ff69 (patch)
tree9ab232115b7ac6db89e4e759c16720fa8943e994 /tests/convert-tests.sh
parent9842d5769117eb46ad116b8e9fb65a5b8cf27856 (diff)
btrfs-progs: tests: support testname glob
To run a given test set the variable TEST like $ make test TEST=002-bad-transid $ make test TEST=002-* and only tests matching the value will be run. The pattern is glob and pased to 'find -name'. The convert tests do not follow the fsck and misc layout and are skipped if TEST is set. Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'tests/convert-tests.sh')
-rwxr-xr-xtests/convert-tests.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/convert-tests.sh b/tests/convert-tests.sh
index 14dde1fe..b395e25e 100755
--- a/tests/convert-tests.sh
+++ b/tests/convert-tests.sh
@@ -52,6 +52,11 @@ convert_test() {
run_check $TOP/btrfs-show-super $IMAGE
}
+if ! [ -z "$TEST" ]; then
+ echo " [TEST] skipped all convert tests, TEST=$TEST"
+ exit 0
+fi
+
for feature in '' 'extref' 'skinny-metadata' 'no-holes'; do
convert_test "$feature" "ext2 4k nodesize" 4096 mke2fs -b 4096
convert_test "$feature" "ext3 4k nodesize" 4096 mke2fs -j -b 4096